From 4f5d0567652e1c2e1b889f2c61975b88488f5fae Mon Sep 17 00:00:00 2001
From: Geoffroy Couprie <geo.couprie@gmail.com>
Date: Thu, 4 Sep 2008 15:09:11 +0200
Subject: [PATCH] WinCE: enable modules, fix libs, etc.

---
 configure.ac |   32 ++++++++++++++++++++++----------
 1 files changed, 22 insertions(+), 10 deletions(-)

diff --git a/configure.ac b/configure.ac
index 0aeb086..672f1f5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -315,7 +315,7 @@ case "${host_os}" in
         ;;
     esac
 
-    if test "${SYS}" = "mingw32"; then
+    if test "${SYS}" = "mingw32" -a "${SYS}" != "mingwce"; then
         # add ws2_32 for closesocket, select, recv
         VLC_ADD_LIBS([libvlc],[-lws2_32 -lnetapi32 -lwinmm])
         VLC_ADD_LDFLAGS([vlc],[-mwindows])
@@ -325,10 +325,10 @@ case "${host_os}" in
     fi
     if test "${SYS}" = "mingwce"; then
         # add ws2 for closesocket, select, recv
-        VLC_ADD_CPPFLAGS([libvlc vlc],[-Dmain(a,b)=maince(a,b)])
-        VLC_ADD_LDFLAGS([libvlc vlc],[-e WinMainCRTStartup])
-        VLC_ADD_LIBS([libvlc access_http access_mms access_udp access_tcp access_ftp access_rtmp access_output_udp sap http netsync audioscrobbler growl rtp stream_out_rtp remoteosd],[-lws2])
-        VLC_ADD_LIBS([libvlc],[-lmmtimer])
+#        VLC_ADD_CPPFLAGS([libvlc vlc],[-Dmain(a,b)=maince(a,b)])
+        VLC_ADD_LIBS([libvlc vlc access_http access_mms access_udp access_tcp access_ftp access_rtmp sap http netsync audioscrobbler rtp flac remoteosd],[-lmmtimer -lws2])
+        #VLC_ADD_LDFLAGS([libvlc vlc],[-e WinMainCRTStartup])
+
    fi
     ;;
   *nto*)
@@ -438,7 +438,7 @@ then
 fi
 
 dnl Check for fnative-struct or mms-bitfields support for mingw32
-if test "${SYS}" = "mingw32"
+if test "${SYS}" = "mingw32" -a "${SYS}" != "mingwce"
 then
     AC_CACHE_CHECK([if \$CC accepts -mms-bitfields],
         [ac_cv_c_mms_bitfields],
@@ -566,7 +566,7 @@ AC_CACHE_CHECK([for struct sockaddr_storage], ac_cv_struct_sockaddr_storage,
   [AC_TRY_COMPILE(
     [#include <sys/types.h>
      #if defined( UNDER_CE )
-     # include <winsock.h>
+     # include <winsock2.h>
      #elif defined( WIN32 )
      # include <winsock2.h>
      #else
@@ -1234,6 +1234,17 @@ if test "${SYS}" != "mingwce"; then
   ALIASES="${ALIASES} rvlc"
 fi
 
+if test "${SYS}" = "mingwce"; then
+  VLC_ADD_PLUGIN([linear_resampler])
+  VLC_ADD_PLUGIN([bandlimited_resampler])
+  VLC_ADD_PLUGIN([float32_mixer])
+  VLC_ADD_PLUGIN([spdif_mixer])
+  VLC_ADD_PLUGIN([simple_channel_mixer])
+  VLC_ADD_PLUGIN([audio_format])
+  VLC_ADD_PLUGIN([converter_float])
+  VLC_ADD_PLUGIN([chain])
+fi
+
 dnl
 dnl Some plugins aren't useful on some platforms
 dnl
@@ -1888,7 +1899,7 @@ lternatively you can use --disable-live555 to disable the liveMedia plugin.])
 
       VLC_ADD_PLUGIN([live555])
 
-      if test "${SYS}" = "mingw32"; then
+      if test "${SYS}" = "mingw32" -a "${SYS}" != "mingwce"; then
         # add ws2_32 for closesocket, select, recv
         VLC_ADD_LIBS([live555],[-lws2_32])
       fi
@@ -4550,7 +4561,8 @@ if test "${enable_wingdi}" != "no"; then
   fi
   if test "${SYS}" = "mingwce"; then
     VLC_ADD_PLUGIN([wingdi])
-    VLC_ADD_PLUGIN([wingapi])
+    VLC_ADD_LIBS([wingdi],[-laygshell])
+ dnl   VLC_ADD_PLUGIN([wingapi])
   fi
 fi
 
@@ -4945,7 +4957,7 @@ if test "${enable_wince}" != "no"; then
     VLC_ADD_PLUGIN([wince])
     VLC_ADD_CXXFLAGS([wince],[])
     VLC_ADD_LIBS([wince],[-lcommctrl -lcommdlg -laygshell])
-    dnl Gross hack
+    dnl Gross hack (that doesn't work anyway)
     VLC_ADD_LIBS([wince],[\\\${top_builddir}modules/gui/wince/wince_rc.o])
   elif test "${SYS}" = "mingw32"; then
     VLC_ADD_CXXFLAGS([wince],[])
-- 
1.5.4.3

